sasl_decode(10 July 2001)

NAME
sasl_decode - Decode data received

SYNOPSIS
#include <sasl/sasl.h>

int sasl_decode(sasl_conn_t *conn,
		     const char * input,
                unsigned inputlen,
		     const char ** output,
		     unsigned * outputlen);

DESCRIPTION
sasl_decode decodes data received. After successful authentication this function should be called on all data received. It decodes the data from encrypted or signed form to plain data. If there was no security layer negotiated the output is identical to the input. output contains the decoded data and is allocated/freed by the library. One should not to give sasl_decode more data than the negotiated maxbufsize (see sasl_getprop). Note that sasl_decode can succeed and outputlen can be zero. If this is the case simply wait for more data and call sasl_decode again.

RETURN VALUE
Returns SASL_OK on success. See sasl_errors(3) for meanings of other return codes.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_errors(3), sasl_encode(3)